import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudConnectorRulesList = cloudflare.getCloudConnectorRulesList({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getCloudConnectorRulesList(args: GetCloudConnectorRulesListArgs, opts?: pulumi.InvokeOptions): Promise<GetCloudConnectorRulesListResult>;
/**
 * A collection of arguments for invoking getCloudConnectorRulesList.
 */
export interface GetCloudConnectorRulesListArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: number;
    /**
     * Identifier.
     */
    zoneId: string;
}
/**
 * A collection of values returned by getCloudConnectorRulesList.
 */
export interface GetCloudConnectorRulesListResult {
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * Max items to fetch, default: 1000
     */
    readonly maxItems?: number;
    /**
     * The items returned by the data source
     */
    readonly results: outputs.GetCloudConnectorRulesListResult[];
    /**
     * Identifier.
     */
    readonly zoneId: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudConnectorRulesList = cloudflare.getCloudConnectorRulesList({
 *     zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
 * });
 * ```
 */
export declare function getCloudConnectorRulesListOutput(args: GetCloudConnectorRulesListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCloudConnectorRulesListResult>;
/**
 * A collection of arguments for invoking getCloudConnectorRulesList.
 */
export interface GetCloudConnectorRulesListOutputArgs {
    /**
     * Max items to fetch, default: 1000
     */
    maxItems?: pulumi.Input<number>;
    /**
     * Identifier.
     */
    zoneId: pulumi.Input<string>;
}
