import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudforceOneRequestAsset = cloudflare.getCloudforceOneRequestAsset({
 *     accountIdentifier: "023e105f4ecef8ad9ca31a8372d0c353",
 *     requestIdentifier: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 *     assetIdentifer: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getCloudforceOneRequestAsset(args: GetCloudforceOneRequestAssetArgs, opts?: pulumi.InvokeOptions): Promise<GetCloudforceOneRequestAssetResult>;
/**
 * A collection of arguments for invoking getCloudforceOneRequestAsset.
 */
export interface GetCloudforceOneRequestAssetArgs {
    /**
     * Identifier
     */
    accountIdentifier: string;
    /**
     * UUID
     */
    assetIdentifer: string;
    /**
     * UUID
     */
    requestIdentifier: string;
}
/**
 * A collection of values returned by getCloudforceOneRequestAsset.
 */
export interface GetCloudforceOneRequestAssetResult {
    /**
     * Identifier
     */
    readonly accountIdentifier: string;
    /**
     * UUID
     */
    readonly assetIdentifer: string;
    /**
     * Asset creation time
     */
    readonly created: string;
    /**
     * Asset description
     */
    readonly description: string;
    /**
     * Asset file type
     */
    readonly fileType: string;
    /**
     * Asset ID
     */
    readonly id: number;
    /**
     * Asset name
     */
    readonly name: string;
    /**
     * UUID
     */
    readonly requestIdentifier: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudforceOneRequestAsset = cloudflare.getCloudforceOneRequestAsset({
 *     accountIdentifier: "023e105f4ecef8ad9ca31a8372d0c353",
 *     requestIdentifier: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 *     assetIdentifer: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getCloudforceOneRequestAssetOutput(args: GetCloudforceOneRequestAssetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCloudforceOneRequestAssetResult>;
/**
 * A collection of arguments for invoking getCloudforceOneRequestAsset.
 */
export interface GetCloudforceOneRequestAssetOutputArgs {
    /**
     * Identifier
     */
    accountIdentifier: pulumi.Input<string>;
    /**
     * UUID
     */
    assetIdentifer: pulumi.Input<string>;
    /**
     * UUID
     */
    requestIdentifier: pulumi.Input<string>;
}
