import * as pulumi from "@pulumi/pulumi";
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudforceOneRequestMessage = cloudflare.getCloudforceOneRequestMessage({
 *     accountIdentifier: "023e105f4ecef8ad9ca31a8372d0c353",
 *     requestIdentifier: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getCloudforceOneRequestMessage(args: GetCloudforceOneRequestMessageArgs, opts?: pulumi.InvokeOptions): Promise<GetCloudforceOneRequestMessageResult>;
/**
 * A collection of arguments for invoking getCloudforceOneRequestMessage.
 */
export interface GetCloudforceOneRequestMessageArgs {
    /**
     * Identifier
     */
    accountIdentifier: string;
    /**
     * UUID
     */
    requestIdentifier: string;
}
/**
 * A collection of values returned by getCloudforceOneRequestMessage.
 */
export interface GetCloudforceOneRequestMessageResult {
    /**
     * Identifier
     */
    readonly accountIdentifier: string;
    /**
     * Author of message
     */
    readonly author: string;
    /**
     * Content of message
     */
    readonly content: string;
    /**
     * Message creation time
     */
    readonly created: string;
    /**
     * Message ID
     */
    readonly id: number;
    /**
     * Whether the message is a follow-on request
     */
    readonly isFollowOnRequest: boolean;
    /**
     * UUID
     */
    readonly requestIdentifier: string;
    /**
     * Message last updated time
     */
    readonly updated: string;
}
/**
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as cloudflare from "@pulumi/cloudflare";
 *
 * const exampleCloudforceOneRequestMessage = cloudflare.getCloudforceOneRequestMessage({
 *     accountIdentifier: "023e105f4ecef8ad9ca31a8372d0c353",
 *     requestIdentifier: "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
 * });
 * ```
 */
export declare function getCloudforceOneRequestMessageOutput(args: GetCloudforceOneRequestMessageOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCloudforceOneRequestMessageResult>;
/**
 * A collection of arguments for invoking getCloudforceOneRequestMessage.
 */
export interface GetCloudforceOneRequestMessageOutputArgs {
    /**
     * Identifier
     */
    accountIdentifier: pulumi.Input<string>;
    /**
     * UUID
     */
    requestIdentifier: pulumi.Input<string>;
}
